Subject: Re: bug#70418: ls bug

From: Chris Elvidge <[email-masked]>
Date: Tue, 16 Apr 2024 16:53:06 +0100

On 16/04/2024 at 16:07, Toby Kelsey wrote:
> There appears to be a bug with 'ls' when using the '-f' and '-l' 
> options, or at least an inconsistency with the man page. The man page 
> says '-f' list entries in directory order and does not mention any 
> incompatibilities with other options, however I find using it with the 
> '-l' option gives different ouputs depending on the order of options. 
> See the following script log for an example:
> 
> 
It really says -f = do not sort, enable -aU. -U = do not sort

It also says -f = disable -ls --color

So -l -f = -f takes precedence, -f -l = -l takes precedence.

-- 

Chris Elvidge